package com.rjconsultores.ventaboletos.relatorios.utilitarios;

import java.math.BigDecimal;
import java.sql.Timestamp;

public class RelatorioTaxasLinhaBean {

	protected BigDecimal IMPORTETAXAEMBARQUE;
	protected BigDecimal IMPORTEPEDAGIO;
	protected BigDecimal IMPORTESEGURO;
	protected BigDecimal TOTAL_EMBARQUE;
	protected BigDecimal TOTAL_PEDAGIO;
	protected BigDecimal TOTAL_SEGURO;
	
	protected String PREFIXO;
	protected String CIDADE_ORIGEM;
	protected String CIDADE_DESTINO;
	
	protected String NOMBEMPRESA;
	protected Integer empresaId;
	protected Integer origenCorridaId;
	protected Integer destinoCorridaId;
	protected Timestamp fecHorSalidaCorrida;
	protected Timestamp fecHorventa;
	protected Timestamp fechaEmbarque;
	protected Integer numfoliosistema;
	protected Integer numfoliopreimpreso;
	protected String numseriepreimpresa;
	protected Integer numasiento;
	protected BigDecimal precioPagado;
	protected String categoria;
	protected Integer desembarqueId;
	protected Integer tipoServicioId;
	
	protected String NOMBPUNTOVENTA;
	
	protected BigDecimal EMBARQUE_VENDIDOS;
	protected BigDecimal PEDAGIO_VENDIDOS;
	protected BigDecimal SEGURO_VENDIDOS;
	
	protected BigDecimal qtdSeguroOpcionalCancelado;
	protected BigDecimal totalValorSeguroOpcionalCancelado;
	protected BigDecimal qtdSeguroOpcionalVendidos;
	protected BigDecimal totalValorseguroOpcionalVendido;
	
	
	
	public BigDecimal getIMPORTETAXAEMBARQUE() {
		return IMPORTETAXAEMBARQUE;
	}
	public void setIMPORTETAXAEMBARQUE(BigDecimal iMPORTETAXAEMBARQUE) {
		IMPORTETAXAEMBARQUE = iMPORTETAXAEMBARQUE;
	}
	public BigDecimal getIMPORTEPEDAGIO() {
		return IMPORTEPEDAGIO;
	}
	public void setIMPORTEPEDAGIO(BigDecimal iMPORTEPEDAGIO) {
		IMPORTEPEDAGIO = iMPORTEPEDAGIO;
	}
	public BigDecimal getIMPORTESEGURO() {
		return IMPORTESEGURO;
	}
	public void setIMPORTESEGURO(BigDecimal iMPORTESEGURO) {
		IMPORTESEGURO = iMPORTESEGURO;
	}
	public BigDecimal getTOTAL_EMBARQUE() {
		return TOTAL_EMBARQUE;
	}
	public void setTOTAL_EMBARQUE(BigDecimal tOTAL_EMBARQUE) {
		TOTAL_EMBARQUE = tOTAL_EMBARQUE;
	}
	public BigDecimal getTOTAL_PEDAGIO() {
		return TOTAL_PEDAGIO;
	}
	public void setTOTAL_PEDAGIO(BigDecimal tOTAL_PEDAGIO) {
		TOTAL_PEDAGIO = tOTAL_PEDAGIO;
	}
	public BigDecimal getTOTAL_SEGURO() {
		return TOTAL_SEGURO;
	}
	public void setTOTAL_SEGURO(BigDecimal tOTAL_SEGURO) {
		TOTAL_SEGURO = tOTAL_SEGURO;
	}
	public String getPREFIXO() {
		return PREFIXO;
	}
	public void setPREFIXO(String pREFIXO) {
		PREFIXO = pREFIXO;
	}
	public String getCIDADE_ORIGEM() {
		return CIDADE_ORIGEM;
	}
	public void setCIDADE_ORIGEM(String cIDADE_ORIGEM) {
		CIDADE_ORIGEM = cIDADE_ORIGEM;
	}
	public String getCIDADE_DESTINO() {
		return CIDADE_DESTINO;
	}
	public void setCIDADE_DESTINO(String cIDADE_DESTINO) {
		CIDADE_DESTINO = cIDADE_DESTINO;
	}
	public String getNOMBEMPRESA() {
		return NOMBEMPRESA;
	}
	public void setNOMBEMPRESA(String nOMBEMPRESA) {
		NOMBEMPRESA = nOMBEMPRESA;
	}
	public String getNOMBPUNTOVENTA() {
		return NOMBPUNTOVENTA;
	}
	public void setNOMBPUNTOVENTA(String nOMBPUNTOVENTA) {
		NOMBPUNTOVENTA = nOMBPUNTOVENTA;
	}
	public BigDecimal getEMBARQUE_VENDIDOS() {
		return EMBARQUE_VENDIDOS;
	}
	public void setEMBARQUE_VENDIDOS(BigDecimal eMBARQUE_VENDIDOS) {
		EMBARQUE_VENDIDOS = eMBARQUE_VENDIDOS;
	}
	public BigDecimal getPEDAGIO_VENDIDOS() {
		return PEDAGIO_VENDIDOS;
	}
	public void setPEDAGIO_VENDIDOS(BigDecimal pEDAGIO_VENDIDOS) {
		PEDAGIO_VENDIDOS = pEDAGIO_VENDIDOS;
	}
	public BigDecimal getSEGURO_VENDIDOS() {
		return SEGURO_VENDIDOS;
	}
	public void setSEGURO_VENDIDOS(BigDecimal sEGURO_VENDIDOS) {
		SEGURO_VENDIDOS = sEGURO_VENDIDOS;
	}
	public Integer getEmpresaId() {
		return empresaId;
	}
	public void setEmpresaId(Integer empresaId) {
		this.empresaId = empresaId;
	}
	public Integer getOrigenCorridaId() {
		return origenCorridaId;
	}
	public void setOrigenCorridaId(Integer origenCorridaId) {
		this.origenCorridaId = origenCorridaId;
	}
	public Timestamp getFechaEmbarque() {
		return fechaEmbarque;
	}
	public void setFechaEmbarque(Timestamp fechaEmbarque) {
		this.fechaEmbarque = fechaEmbarque;
	}
	public Timestamp getFecHorventa() {
		return fecHorventa;
	}
	public void setFecHorventa(Timestamp fecHorventa) {
		this.fecHorventa = fecHorventa;
	}
	public Timestamp getFecHorSalidaCorrida() {
		return fecHorSalidaCorrida;
	}
	public void setFecHorSalidaCorrida(Timestamp fecHorSalidaCorrida) {
		this.fecHorSalidaCorrida = fecHorSalidaCorrida;
	}
	public Integer getNumfoliosistema() {
		return numfoliosistema;
	}
	public void setNumfoliosistema(Integer numfoliosistema) {
		this.numfoliosistema = numfoliosistema;
	}
	public String getNumseriepreimpresa() {
		return numseriepreimpresa;
	}
	public void setNumseriepreimpresa(String numseriepreimpresa) {
		this.numseriepreimpresa = numseriepreimpresa;
	}
	public Integer getNumasiento() {
		return numasiento;
	}
	public void setNumasiento(Integer numasiento) {
		this.numasiento = numasiento;
	}
	public BigDecimal getPrecioPagado() {
		return precioPagado;
	}
	public void setPrecioPagado(BigDecimal precioPagado) {
		this.precioPagado = precioPagado;
	}
	public String getCategoria() {
		return categoria;
	}
	public void setCategoria(String categoria) {
		this.categoria = categoria;
	}
	public Integer getTipoServicioId() {
		return tipoServicioId;
	}
	public void setTipoServicioId(Integer tipoServicioId) {
		this.tipoServicioId = tipoServicioId;
	}
	public Integer getDesembarqueId() {
		return desembarqueId;
	}
	public void setDesembarqueId(Integer desembarqueId) {
		this.desembarqueId = desembarqueId;
	}
	public Integer getDestinoCorridaId() {
		return destinoCorridaId;
	}
	public void setDestinoCorridaId(Integer destinoCorridaId) {
		this.destinoCorridaId = destinoCorridaId;
	}
	public Integer getNumfoliopreimpreso() {
		return numfoliopreimpreso;
	}
	public void setNumfoliopreimpreso(Integer numfoliopreimpreso) {
		this.numfoliopreimpreso = numfoliopreimpreso;
	}
	public BigDecimal getQtdSeguroOpcionalCancelado() {
		return qtdSeguroOpcionalCancelado;
	}
	public void setQtdSeguroOpcionalCancelado(BigDecimal qtdSeguroOpcionalCancelado) {
		this.qtdSeguroOpcionalCancelado = qtdSeguroOpcionalCancelado;
	}
	public BigDecimal getTotalValorSeguroOpcionalCancelado() {
		return totalValorSeguroOpcionalCancelado;
	}
	public void setTotalValorSeguroOpcionalCancelado(BigDecimal totalValorSeguroOpcionalCancelado) {
		this.totalValorSeguroOpcionalCancelado = totalValorSeguroOpcionalCancelado;
	}
	public BigDecimal getQtdSeguroOpcionalVendidos() {
		return qtdSeguroOpcionalVendidos;
	}
	public void setQtdSeguroOpcionalVendidos(BigDecimal qtdSeguroOpcionalVendidos) {
		this.qtdSeguroOpcionalVendidos = qtdSeguroOpcionalVendidos;
	}
	public BigDecimal getTotalValorseguroOpcionalVendido() {
		return totalValorseguroOpcionalVendido;
	}
	public void setTotalValorseguroOpcionalVendido(BigDecimal totalValorseguroOpcionalVendido) {
		this.totalValorseguroOpcionalVendido = totalValorseguroOpcionalVendido;
	}
	
	
	
	
}
